Coolify logoCoolify
DELETE
/services/{uuid}

Delete service by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Service UUID

Query Parameters

delete_configurations?boolean

Delete configurations.

Defaulttrue
delete_volumes?boolean

Delete volumes.

Defaulttrue
docker_cleanup?boolean

Run docker cleanup.

Defaulttrue
delete_connected_networks?boolean

Delete connected networks.

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.coolify.io/api/v1/services/string"
{  "message": "Service deletion request queued."}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}